OpenTTD Source: TileIndex Struct Reference

OpenTTD Source 13.1

Public Member Functions
TileIndex Struct Reference

The index/ID of a Tile. More...

`#include <tile_type.h>`

Inheritance diagram for TileIndex:

## Public Member Functions
constexpr | operator uint32 () const
| Implicit conversion to the base type for e.g. More...
constexpr bool | operator== (int rhs) const
constexpr bool | operator!= (int rhs) const
constexpr TileIndex | operator+ (int rhs) const
constexpr TileIndex | operator- (int rhs) const
Public Member Functions inherited from StrongIntegralTypedef< uint32, TileIndex >
constexpr TileIndex & | operator++ ()
constexpr TileIndex | operator++ (int)
constexpr TileIndex & | operator-- ()
constexpr TileIndex | operator-- (int)
constexpr TileIndex & | operator+= (const TileIndex &rhs)
constexpr TileIndex & | operator-= (const TileIndex &rhs)
constexpr TileIndex | operator+ (const TileIndex &rhs) const
constexpr TileIndex | operator+ (const uint32 &rhs) const
constexpr TileIndex | operator- (const TileIndex &rhs) const
constexpr TileIndex | operator- (const uint32 &rhs) const
Public Member Functions inherited from StrongTypedef< uint32, TileIndex >
constexpr | StrongTypedef (const StrongTypedef &o)=default
constexpr | StrongTypedef (StrongTypedef &&o)=default
constexpr | StrongTypedef (const uint32 &value)
constexpr TileIndex & | operator= (const StrongTypedef &rhs)
constexpr TileIndex & | operator= (StrongTypedef &&rhs)
constexpr TileIndex & | operator= (const uint32 &rhs)
constexpr | operator uint32 () const
constexpr bool | operator== (const StrongTypedef &rhs) const
constexpr bool | operator== (const uint32 &rhs) const
constexpr bool | operator!= (const StrongTypedef &rhs) const
constexpr bool | operator!= (const uint32 &rhs) const

## Additional Inherited Members
Public Types inherited from StrongTypedef< uint32, TileIndex >
using | Type = uint32
Data Fields inherited from StrongTypedef< uint32, TileIndex >
uint32 | value
| Backing storage field.

## Detailed Description

The index/ID of a Tile.

Definition at line 85 of file tile_type.h.

## Member Function Documentation

## ◆ operator uint32()

constexpr TileIndex::operator uint32 | ( |  | ) | const
| inlineconstexpr

Implicit conversion to the base type for e.g.

array indexing.

Definition at line 89 of file tile_type.h.

The documentation for this struct was generated from the following file:

- src/tile_type.h